package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;

/**
 * The event to take place for when the pinball game exits.
 */
public class PinballExit implements ActionListener {
	
	/** Setup what to do with the game exits. */	
	public PinballExit() {
		GameOptions.setExit(this);
	}
	
	/**
	 * Exit the system.
	 */
    	public void actionPerformed(ActionEvent e) {
		exitSystem();
    	}
	
	public void exitSystem() {
		System.err.println("System Was Exited.");
		PinballLog.closeUp();
		GameOptions.getDataIO().turnOff();
        	System.exit(0); 
	}

}
