package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event for when the system is to start play.
 */
public class PinballGameStart implements ActionListener {
	
	/** Ball lauch. */
	private Button gameStart;
	
	/** The start button on the pinball machine. */
	StartButton start;
	
	/** 
	 * Get the gameStart button.
	 *
	 * @param gameStart gameStart button. 
	 */
	public PinballGameStart(Button gameStart) {
		this.gameStart=gameStart;
		start=new StartButton();
	}
	
    	/**
    	 * gamestart button is pressed. Ball is out of play. 
    	 */
    	public void actionPerformed(ActionEvent e) {
			start.press();
    	}
}
