package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event for when a coin is to be added to the machine.
 */
public class PinballCoin implements ActionListener {
	
	/** Ball lauch. */
	private Button coinButton;
	
	Coin coin;
	
	/** 
	 * Get the coin button.
	 *
	 * @param coin coin button. 
	 */
	public PinballCoin(Button coin) {
		this.coinButton=coin;
		this.coin=new Coin();
	}
	
    	/**
    	 * coin button is pressed. Ball is out of play. 
    	 */
    	public void actionPerformed(ActionEvent e) {
			coin.insertCoin();
    	}
}
