package pinball.player.remote;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import java.util.*;
import java.net.*;

import java.awt.event.*;

/**
 * The event to take place for when the remote player exits.
 */
public class RemoteExitEvent implements ActionListener {
	/** Window who has the command to go off line. */
	RemoteExit exit;
	
	/** 
	 * Sets up so when the user presses the exit button the system logs off.
	 * @param exit Window who has the command to go off line. 
	 */
	public RemoteExitEvent(RemoteExit exit) {
		this.exit=exit;
	}
	
	/**
	 * Exit the system.
	 */
    	public void actionPerformed(ActionEvent e) {
		exit.exit();
    	}
}
